Subject: bug#59833: 29.0.60; json-ts-mode fontifies everything as string

From: Jostein Kjønigsen <[email-masked]>
Date: Mon, 5 Dec 2022 12:53:01 +0100

Yeah. That works for me.

I tried making a similar patch, but I guess I was trying to overspecify, 
rather than just shortcutting the selection. Nice job!

--
Jostein

[email-masked] 🍵 [email-masked]
https://jostein.kjønigsen.no <https://jostein.kjønigsen.no>
On 05.12.2022 12:35, Theodor Thornhill wrote:
> Theodor Thornhill <[email-masked]> writes:
>
>> Jostein Kjønigsen <[email-masked]> writes:
>>
>>> Hey everyone.
>>>
>>> When opening a JSON-file in a build from emacs git emacs-29
>>> release-branch, Emacs still defaults to json-mode.
>>>
>>> Fontification in json-mode looks correct and proper.
>>>
>>> When trying to insteas use json-ts-mode, literally everything is
>>> fontified as strings.
>>>
>>> When I change the code to disable the string-fontification rule, this
>>> yields a buffer where everything is fontified using default-face. That
>>> is, no other fontification is taking place.
>>>
>>> Have this mode really been tested? Should it be working? Or is there an
>>> error on my end?
>>>
>>> Could someone else please give json-ts-mode a try?
>>>
>> Yeah, you are correct.  It seems we've had a regression in this commit,
>> 0ed313642227afdeccf48057eea458edca9d2962.
>>
>> I believe this is the offending commit - what do you think, Randy?
>>
>> Specifically the lhs should be fontified differently than the rhs, so
>> not everything is a string.
>>
>> Do you want to do that, Randy, or should I?
>>
>> Theo
> Can you test this patch, Jostein?
>
> Theo
>